如何在Linux上安装AceStream而不会死尝试

我们这些热爱运动且无法访问当前所有体育频道的人通常会遇到这样的问题:要享受这项运动,我们必须利用各种发送 在线比赛,其中大多数要求 安装AceStream,在Linux上安装往往会有些复杂。

在本指南中,我们将教 在Linux上安装AceStream 无需停止尝试,即可为当今最常见的问题提供解决方案。 它的使用和您访问的内容是您的全部责任。

什么是AceStream?

王牌流 是一个 多媒体平台 颇具创新性,这使Internet上的视听复制达到了更高的水平。 为此,它实现了一个通用的多媒体文件上传管理器,该管理器使用最先进的P2P技术,以确保有效的数据存储和传输过程。

Ace Stream软件为我们提供了一系列好处,其中我们可以重点介绍:

  • 可以观看具有高音频和图像质量的在线广播(电视,自定义流,电影,卡通等)。
  • 在线收听音乐,其格式不会丧失任何质量。
  • 在线查看种子,而不必等待其完全下载。
  • 通过AirPlay,Google Cast等通讯协议在远程设备(Apple TV,Chromecast等)上查看内容。
  • 允许与各种应用程序集成。 在Linux上安装AceStream

如何在Linux上安装AceStream

要在Linux上安装AceStream,我们必须根据您使用的发行版执行不同的步骤,我们将重点放在Arch Linux和Ubuntu上,但是我们希望将来能够将其安装在其他发行版上。

在Arch Linux及其衍生产品上安装AceStream

我写这篇文章的主要原因是因为许多人在Arch Linux,Antergos,Manjaros和衍生产品上安装AceStream时遇到问题,主要原因是插件的pkgbuild acestream-mozilla-插件 安装时出现错误,解决方案非常简单。

我们将安装 acestream-mozilla-插件 这也将安装我们 acestream引擎 y acestream玩家数据 复制所需的软件包是什么 Firefox的AceStream.

首先,我们必须打开一个终端并执行以下命令:
gpg --keyserver pgp.mit.edu --recv-keys FCF986EA15E6E293A5644F10B4322F04D67658D8

它将解决验证问题,该问题阻止安装所需的依赖项 acestream-mozilla-plugin。

然后我们执行以下命令

yaourt -S acestream-mozilla-plugin

在反复的场合,我们将被询问是否要安装各种依赖项,我们必须对所有人说“是”。

在Ubuntu及其衍生版本上安装AceStream

在Ubuntu 14.04及其衍生版本上安装AceStream

对于使用Ubuntu 14.04及更高版本的衍生物的用户,AceStream的安装将非常简单,他们只需从终端执行以下命令即可:

回声'deb http://repo.acestream.org/ubuntu/ trusty main'| sudo tee /etc/apt/sources.list.d/acestream.list sudo wget -O-http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add-sudo apt-get更新sudo apt-get安装acestream-full

在Ubuntu 16.04及其衍生版本上安装AceStream

那些需要付出更多努力的人是Ubuntu 16.04和衍生产品的用户,因为acestream不支持该版本,但是由于这个 危象,我设法安装了它。

我们要做的第一件事是下载并安装一些您将无法从官方存储库中下载的依赖项,请确保为发行版的体系结构安装适当的依赖项:

64位架构:

  1. 下载并安装 libgnutls-deb0-28_3.3.15-5ubuntu2_amd64.deb 您可以通过以下链接进行操作: http://launchpadlibrarian.net/216005292/libgnutls-deb0-28_3.3.15-5ubuntu2_amd64.deb
  2. 按照显示以下依赖项的顺序下载并安装:  acestream-player-compat_3.0.2-1.1_amd64.deb; acestream-engine_3.0.3-0.2_amd64.deb; acestream-player-data_3.0.2-1.1_amd64.deb; acestream-player_3.0.2-1.1_amd64.deb 您可以从以下链接下载每个链接: https://drive.google.com/folderview?id= … e_web#list

32位架构:

  1. 下载并安装 libgnutls-deb0-28_3.3.15-5ubuntu2_i386.deb 您可以通过以下链接进行操作: http://launchpadlibrarian.net/216005191/libgnutls-deb0-28_3.3.15-5ubuntu2_i386.deb
  2. 按照显示以下依赖项的顺序下载并安装: acestream-player-compat_3.0.2-1.1_i386.deb; acestream-engine_3.0.3-0.2_i386.deb; acestream-player-data_3.0.2-1.1_i386.deb; acestream-player_3.0.2-1.1_i386.deb 您可以从以下链接下载每个链接: https://drive.google.com/folderview?id= … e_web#list

接下来,我们必须像对版本14.04一样继续进行AceStream的常规安装,打开终端并执行:

回声'deb http://repo.acestream.org/ubuntu/ trusty main'| sudo tee /etc/apt/sources.list.d/acestream.list sudo wget -O-http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add-sudo apt-get更新sudo apt-get安装acestream-full

在某些情况下,有必要启动服务 acestream-engine.service,为此,我们从终端执行以下命令:

systemctl启动acestream-engine.service systemctl启用acestream-engine.service

通过本教程,我们希望您可以享受使用所有P2P技术所有功能的出色多媒体传输协议。


本文内容遵循我们的原则 编辑伦理。 要报告错误,请单击 信息.

41条评论,留下您的评论

发表您的评论

您的电子邮件地址将不会被发表。 必填字段标有 *

*

*

  1. 负责数据:MiguelÁngelGatón
  2. 数据用途:控制垃圾邮件,注释管理。
  3. 合法性:您的同意
  4. 数据通讯:除非有法律义务,否则不会将数据传达给第三方。
  5. 数据存储:Occentus Networks(EU)托管的数据库
  6. 权利:您可以随时限制,恢复和删除您的信息。

  1.   朱利奥·塞萨尔·坎波斯

    好的帖子,但至少在archlinux中是这样,我需要您这样做:“ systemctl start acestream-engine.service”和“ systemctl enable acestream-engine.service”才能正常工作。

    1.    蜥蜴

      您是从firefox进行测试,还是使用其他浏览器?

  2.   UserDebian

    有谁知道如何使其在Debian 9上运行?

  3.   朱利奥·塞萨尔·坎波斯

    Archlinux上的Firefox

  4.   吉考克斯

    我不知道我以前的评论是否发表...我重复! 我不知道在终端中执行该死命令需要花费几个小时,而我输入了–noconfirm,最后它不起作用!
    另一个帖子没用!

    Manjaro上的安装尝试

    1.    蜥蜴

      亲爱的,它对您不起作用,它对我来说非常理想,无论如何,请尝试执行以下两个命令:
      “ Systemctl启动acestream-engine.service”和“ systemctl启用acestream-engine.service”

  5.   约瑟夫

    我设法完成了所有步骤,没有任何问题。 但是,当尝试从终端启动服务时,它给了我两次失败的机会。
    systemctl启动acestream-engine.service
    无法启动acestream-engine.service:找不到单元acestream-engine.service。
    systemctl启用acestream-engine.service
    无法执行操作:没有这样的文件或目录

    1.    古斯塔沃。

      完全一样的事情发生在我身上。 终端会因这些失败而将这些命令反弹给我。

  6.   胡安

    非常感谢您的帖子! 如果您使用Ubuntu 16.10 64位,则将无法安装“ acestream-player-data_3.0.2-1.1_amd64.deb”。 他们必须首先下载并安装以下软件包:

    libavcodec-ffmpeg56_2.8.6-1ubuntu2_amd64.deb
    liblivemedia50_2016.02.09-1_amd64.deb
    libswresample-ffmpeg1_2.8.6-1ubuntu2_amd64.deb
    libavformat-ffmpeg56_2.8.6-1ubuntu2_amd64.deb
    libpng12-0_1.2.54-1ubuntu1_amd64.deb
    libswscale-ffmpeg3_2.8.6-1ubuntu2_amd64.deb
    libavutil-ffmpeg54_2.8.6-1ubuntu2_amd64.deb
    libpostproc-ffmpeg53_2.8.6-1ubuntu2_amd64.deb
    libwebp5_0.4.4-1.1_amd64.deb

    回购中可能还需要其他一些依赖项。
    的问候!

  7.   万里

    不错。
    acestream-mozilla-plugin像许多其他NPAPI插件一样,已停止在Firefox 52中工作。

  8.   达科

    另一个非常简单的好选择是使用docker并与您的操作系统无关。 使用aceproxy,您可以复制它-

    我编写了一个小教程和一个脚本,以方便执行。
    https://gist.github.com/alex-left/7967dac44f2d2e31eabba2fae318a402

  9.   大卫·马丁

    在从Ubuntu 16.04安装它的过程中,当您说下载并安装这些文件时,如何安装它们? 当我下载并解压缩它们时,有些只是libreoffice文件,而另一些则不知道如何“安装”它们。
    在此先感谢和问候。
    大卫。

  10.   汽水

    密钥不能再次使用,或者软件包中存在一些错误,但是在arch和manjaro中,无法安装它。
    当尝试安装依赖项(qwebquit)或类似的东西时,它陷入了循环,没有办法。
    有没有人找到解决方案?
    谢谢

    1.    亚历山大

      您好,对于在arch linux中进行安装,您必须执行以下操作:
      -使用yaourt -S acestream-launcher安装来自yaourt的软件包“ acestream-launcher”(我们接下来将启用的软件包将自动下载到您的计算机中)
      -启用acestream-engine.service,我们进入终端并在ROOT模式下,将以下内容
      -systemctl启动acestream-engine.service
      -systemctl启用acestream-engine.service
      此后我重新启动了计算机,我不知道这是否有必要,但以防万一
      -这应该足够了,但是在上一次Arch更新中,他们搞砸了一些东西,但是它不起作用,因此他们寻找了一个临时解决方案,即下载文件,如下所示:
      https://archive.archlinux.org/packages/p/python2-m2crypto/python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz
      数据来源: https://aur.archlinux.org/packages/acestream-launcher/ (在评论中)
      下载完成后,我们进入终端并转到下载它的文件夹,
      我们继续使用'sudo pacman -U python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz'进行安装,就是这样,它应该第一次运行了,所以第一次没有运行,所以我第二次单击,总是第一次给出错误,仅此而已

      PS:阐明sudo pacman -U而不是-S,因为它是从makepkg获得的本地软件包

      1.    汽水

        非常感谢您的关注。
        我已经尝试了很多次,以至于在使用yaourt进行安装时,我已经非常了解软件包的依赖关系和注释。 我将按照发射器的建议,看看我是否幸运。 我会告诉你。
        我再次表示感谢

        费利佩

        1.    汽水

          一种或另一种方式不起作用。 我已经尝试过使用您在注释中添加的链接,但是它不能解决,它可以识别该链接,它为我提供了选择程序的选项,我选择了acestream-launcher,但VLC无法打开。
          在控制台中,它给了我以下答案。

          文件«/usr/lib/python3.6/site-packages/psutil/初始化.py»,第1231行,在_send_signal中
          os.kill(self.pid,sig)

          我们将不得不等待新的更新。
          谢谢你的帮助。

  11.   汽水

    新更新后,控制台中的答案如下。

    acestream-launcher acestream://0cec6c0299c99f45c1859398d150c3a48e6d8b2e
    Acestream引擎正在运行。
    2017-07-28 18:16:59,615 | MainThread | acestream |启动期间错误
    追溯(最近一次通话):
    在第1590行的文件«core.c»中
    在第144行的文件«core.c»中
    在第2行的文件«core.c»中
    ImportError:无法导入名称__m2crypto
    向Acestream认证时出错!
    Media Player未运行...

    我们正在改进,现在它已经意识到了这一潮流,但是libcrypto仍在继续战斗。

    1.    汽水

      我已尝试安装您在发送给我的链接中推荐的软件包。

      https://archive.archlinux.org/packages/p/python2-m2crypto/python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz

      而且它可以有效地解决问题,vlc可以打开并且Acestream可以工作。
      非常感谢您的帮助-

      1.    亚历山大

        您好,很抱歉造成您的延迟,这很奇怪,它对您不起作用,我在Arch等离子系统中,很高兴它为您提供了帮助,这就是我们的目标

        在我拥有的另一个发行版(即Fedora)中,我拥有的是Wine在Windows xD上模拟acestream,以防您转到另一个发行版或在同一Arch中,令我惊讶的是,即使在Debian中,他们也没有这些软件包...

      2.    美味制作者01

        您好,文件是如何安装的我还是新手

        1.    汽水

          须藤pacman -U python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz

          他把它放在上面的评论中

  12.   化学抗体

    昨天我在Kde Neon 5.8中将它作为快照包安装了,令我惊讶的是它对我的工作如此简单快捷。 如果您更新本文,那将是很好的,因为没有比较,此过程将大大简化。

    sudo apt install snapd→安装快照包管理系统(如果尚未安装)
    snap find acestream→检查我们的程序是否在存储库中(所有ubuntu派生版本都应具有该程序)
    sudo snap安装acestreamplayer

    问候

    1.    安东尼奥·曼萨诺(Antonio Manzano)

      你是对的。 我刚刚在kubuntu 17.10中安装了它,因为这里出现的方法是完全不可行的。非常感谢

      1.    爸爸

        不适用于i386架构

    2.    sie9k

      这是能够在Lubuntu 16.04.4上安装它的唯一方法,但是我无法保存配置文件,我需要配置参数以与Serviio一起使用。 有什么想法可以解决吗?

  13.   何塞·安东尼奥

    非常好的帖子,Linux新手必读的网页。

  14.   彼得新秀

    您将如何为AntiX 16(Linux发行版)安装它?

    我曾经尝试过像Arch Linux及其衍生版本,但是我是一个新手,我必须弄错了

  15.   亚历山大

    您好,有了sna软件包,上面注释中的同事使用sna软件包不仅对这些发行版而且对于许多发行版都更加容易。 与这些软件包兼容的发行版在这里:
    https://snapcraft.io/

    在Debian中,如下所示:
    -sudo apt安装快照
    -sudo snap安装核心
    -sudo snap安装acestreamplayer
    在Arch及其衍生物中:
    -sudo pacman -S断断续续
    -sudo systemctl enable –现在snapd.socket
    -sudo snap安装acestreamplayer

    在Arch(等离子)中,我必须重新启动才能显示已安装的软件包,如果没有出现,则说明您已经知道该怎么做。

    我想在ubuntu和派生工具中,它将像上面在KDE neon注释中安装它的合作伙伴一样。

    奇怪的是,在带有Debian的Gnome中,它看起来很丑陋,无法与GTK很好地集成在一起,但是在Arch等离子中,它可以很好地集成在一起,重要的是,它在美学之外可见。

    1.    威廉

      这会为您安装acestream引擎吗?
      不是我

      1.    亚历山大

        您好,不,它没有安装它,也不需要安装它,因为已经包含了所有依赖项的快照程序包,它必须是yes或yes。

    2.    特伯

      嗨亚历杭德罗,看看你能不能帮我
      [txuber @ manjaro〜] $ sudo systemctl enable –now snapd.socket
      无法启用单元:单元文件\ xe2 \ x80 \ x93now.service不存在。
      在manjaro上Manjaro XFCE Edition(17.0.4)x64

      1.    亚历山大

        您好,Manjaro是,它不是纯粹的Arch,可能会有所改变,可能已经启用,因此没有必要这样做,我想您已经尝试跳过该步骤了...

  16.   Debian的

    一旦安装了怎么办? 因为没有安装ace播放器,所以我不知道如何使其工作。
    有人帮我好吗?

    1.    汽水

      如果您安装的是acestream-launcher,则在单击链接时acestream会询问您要使用哪个应用程序打开链接,并通过VLC告诉您,这将执行ace-player的功能。

      1.    Debian的

        你好首先,非常感谢您的帮助。 我评论。 我已经使用gnome在Debian 9中安装了acestream snap软件包。 在arenavisión中,这是我想要的,我单击一个acestream链接,然后出现一个窗口,该窗口为我提供了两个选项,第一个是acestreamengine,如果我单击它,它什么都不做,第二个是选择另一个应用程序,我给它如果要选择但已安装的应用程序无法打开,则会打开我的主文件夹,因此我不知道如何选择vlc。

        问候。

        1.    亚历山大

          使用acestream-launcher不能很好地进行,您最好使用Snap软件包进行安装,正如我在上面的评论中所解释的那样。

  17.   彼得新秀

    我尝试安装捕捉的软件包,但不会让我:

    sudo apt install snapd
    正在阅读包装清单...完成
    创建依赖树
    正在读取状态信息...完成
    E:无法找到捕捉到的包装

    我做的事?

  18.   阿尔夫

    非常感谢,这是我在Windows中使用的程序之一,我希望在Linux中使用它

  19.   奥斯卡

    感谢Chemabs和Alejandro! 与Ubuntu 17.10完美搭配
    sudo apt install snapd
    快速查找acestream
    sudo snap安装acestreamplayer
    就是这样!
    令人难以置信的是,您可以访问官方网站,他们会在2014年的论坛上向您发送帖子! 而且他们最多只提到Ubuntu 13.04!

  20.   马可·巴里亚

    很好,就像他们在之前的评论中说的那样,它可以完美地与arch结合使用:

    须藤pacman -S snapd
    sudo systemctl启用snapd.socket
    重新启动
    sudo snap安装acestreamplayer
    重新启动

    准备好了:

  21.   查韦斯

    您好,有没有一种方法可以安装ace流而不必成为程序员...就像Windows一样